curl --request PUT \
--url https://api.questra.ai/blocks/{block_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Org-Id: <x-org-id>' \
--data '
{
"order": 1,
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
},
"page_id": "<string>"
}
'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_id": "<string>",
"order": 1,
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
}
}curl --request PUT \
--url https://api.questra.ai/blocks/{block_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Org-Id: <x-org-id>' \
--data '
{
"order": 1,
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
},
"page_id": "<string>"
}
'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"page_id": "<string>",
"order": 1,
"config": {
"content": "<string>",
"type": "<string>",
"showIf": "<string>",
"attentionRequired": {
"reason": "<string>",
"dismissed": false
},
"content_type": "markdown"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique ID of the block to update
The index at which to order the block relative to the others on the same page. Zero is the first, 1 is the second, etc.
x >= 0The new configuration settings for the block. This will override the config currently set on the record.
Show child attributes
Unique ID of the new page for the block. Must be a page inside the same survey